
Ruby - Bug #1955

Ruby-YAML interpretation of accented characters

08/19/2009 02:43 AM - stephen.richards (Stephen  Richards)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.8.6 (2008-08-11 patchlevel 287)

[universal-darwin9.0]

Backport:  

Description

=begin

in a yaml file containing an entry with an e with diaresis (ë), the entry is converted to false - see the attached code snippet.

=end

History

#1 - 10/17/2009 09:24 AM - nobu (Nobuyoshi Nakada)

=begin

Seems like counting non-ascii character as word boundary.

=end

#2 - 04/23/2010 08:34 PM - mame (Yusuke Endoh)

- Status changed from Open to Closed

=begin

Hi,

Seems to be fixed already.  Thanks!

--

Yusuke Endoh mame@tsg.ne.jp

=end

Files

yaml_bug.rb 186 Bytes 08/19/2009 stephen.richards (Stephen  Richards)
